package com.dla.dda.domain.constants;

public enum ErrorCodes {

	INFRASTRUCTURE("NO_OK", "Ocurrio un error con la base de datos [ERROR]"), 
	UNKNOW_ERROR("NO_OK", "Ocurrio un error en el sistema [ERROR]"),
	DATA_ERROR("NO_OK", "Error al realizar la validacion [{ERROR}]"),
	DATA_NOT_EXIST("NO_OK", "Error : [ERROR]"),
	UNEXPECTED_EROR("NO_OK","Error al validar el presupuesto, pongase en contacto con el Admon del sistema"),
	BUSSINES_ERROR("NO_OK", "El presupuesto disponible no es suficiente para cubrir el contrato"),
	BUSSINES_DATE_ERROR("NO_OK", "La fecha de inicio del contrato es mayor a la sincronizacion con sap"),
	SUCCESS("OK", "El contrato si se encuentra dentro del presupuesto"),
	SUCCESS_PROCESS("OK", "Procedimiento ejecutado correctamente"),
	FAIL("NO_OK", "Existen errores al procesar la peticion, verificar con el administrador del sistema");

	private String detail;
	private String code;

	private ErrorCodes(String code, String detail) {
		this.detail = detail;
		this.code = code;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getCode() {
		return code;
	}

}